## khronos-opencl-clhpp 2.0.10+git12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project(CLCPP)
enable_testing()

option(BUILD_DOCS "Build Documentation" ON)
option(BUILD_EXAMPLES "Build Examples" ON)
option(BUILD_TESTS "Build Unit Tests" ON)

if(DEFINED ENV{AMDAPPSDKROOT})
  set(OPENCL_DIST_DIR $ENV{AMDAPPSDKROOT} CACHE PATH "OpenCL source dir")
  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set(OPENCL_LIB_DIR ${OPENCL_DIST_DIR}/lib/x86_64 )
  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set(OPENCL_LIB_DIR ${OPENCL_DIST_DIR}/lib/x86 )
  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
elseif(DEFINED ENV{INTELOCLSDKROOT})
  set(OPENCL_DIST_DIR $ENV{INTELOCLSDKROOT} CACHE PATH "OpenCL source dir")
  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set(OPENCL_LIB_DIR ${OPENCL_DIST_DIR}/lib/x64 )
  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set(OPENCL_LIB_DIR ${OPENCL_DIST_DIR}/lib/x86 )
  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
else()
  set(OPENCL_DIST_DIR "Hello" CACHE PATH "OpenCL source dir")
  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set(OPENCL_LIB_DIR "" )
  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    set(OPENCL_LIB_DIR "" )
  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )  
endif()

if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread")
endif()

set(OPENCL_INCLUDE_DIR ${OPENCL_DIST_DIR}/include CACHE PATH "OpenCL source dir")
set(UNITY_DIR $ENV{UNITY_DIR} CACHE PATH "Unity dir")
set(CMOCK_DIR $ENV{CMOCK_DIR} CACHE PATH "CMock dir")

if(BUILD_DOCS)
add_subdirectory(docs)
endif(BUILD_DOCS)

add_subdirectory(include)

if(BUILD_EXAMPLES)
add_subdirectory(examples)
endif(BUILD_EXAMPLES)

if(BUILD_TESTS)
add_subdirectory(tests)
endif(BUILD_TESTS)

=== docs/CMakeLists.txt ===
find_package(Doxygen)

if (DOXYGEN_FOUND)

configure_file(Doxyfile.in Doxyfile COPYONLY)
add_custom_target(
  docs
  COMMAND
  ${DOXYGEN_EXECUTABLE}
  WORKING_DIRECTORY
  ${CMAKE_CURRENT_BINARY_DIR}
  VERBATIM)
add_dependencies(docs generate_cl2hpp)

endif (DOXYGEN_FOUND)

=== include/CMakeLists.txt ===
add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/CL/cl.hpp
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/CL
    COMMAND python ${CLCPP_SOURCE_DIR}/gen_cl_hpp.py -i ${CLCPP_SOURCE_DIR}/input_cl.hpp -o ${CMAKE_CURRENT_BINARY_DIR}/CL/cl.hpp
    DEPENDS ${CLCPP_SOURCE_DIR}/input_cl.hpp ${CLCPP_SOURCE_DIR}/gen_cl_hpp.py
    COMMENT "Rebuilding cl.hpp ...")
add_custom_target(generate_clhpp ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/CL/cl.hpp SOURCES ${CLCPP_SOURCE_DIR}/input_cl.hpp)

add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/CL/cl2.hpp
    COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_CURRENT_BINARY_DIR}/CL
    COMMAND ${CMAKE_COMMAND} -E copy ${CLCPP_SOURCE_DIR}/input_cl2.hpp ${CMAKE_CURRENT_BINARY_DIR}/CL/cl2.hpp
    DEPENDS ${CLCPP_SOURCE_DIR}/input_cl2.hpp
    COMMENT "Rebuilding cl2.hpp ...")
add_custom_target(generate_cl2hpp ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/CL/cl2.hpp SOURCES ${CLCPP_SOURCE_DIR}/input_cl2.hpp)

install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/CL
        DESTINATION .
        FILES_MATCHING
        PATTERN "*.hpp"
        )

=== examples/src/CMakeLists.txt ===
set(TRIVIAL_SOURCES
    trivial.cpp )

set(TRIVIAL_HEADERS
    ${CLCPP_BINARY_DIR}/include/CL/cl.hpp)
set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl.hpp PROPERTIES GENERATED 1)

set(TRIVIALCL2_SOURCES
    trivialCL2.cpp )

set(TRIVIALCL2_HEADERS
    ${CLCPP_BINARY_DIR}/include/CL/cl2.hpp)
set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl2.hpp PROPERTIES GENERATED 1)

set(TRIVIALCL2_SIZET_COMPAT_SOURCES
    trivialCL2SizeTCompat.cpp )

set(TRIVIALCL2_SIZET_COMPAT_HEADERS
    ${CLCPP_BINARY_DIR}/include/CL/cl2.hpp)
set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl2.hpp PROPERTIES GENERATED 1)

set(HEADEREXAMPLECL2_SOURCES
    headerexampleCL2.cpp )

set(HEADEREXAMPLECL2_HEADERS
    ${CLCPP_BINARY_DIR}/include/CL/cl2.hpp)
set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl2.hpp PROPERTIES GENERATED 1)




include_directories(
    ${CLCPP_BINARY_DIR}/include
    ${OPENCL_DIST_DIR}/include
    ${OPENCL_INCLUDE_DIR})

link_directories( ${OPENCL_LIB_DIR} )

if( MSVC )
  set(CMAKE_CXX_FLAGS " -W3 /EHsc" )
elseif( CMAKE_COMPILER_IS_GNUCXX )
  set(CMAKE_CXX_FLAGS "-Wall -std=c++0x" )
elseif( CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
  set(CMAKE_CXX_FLAGS "-Wall -std=c++11" )
endif()

add_executable(trivial ${TRIVIAL_SOURCES} ${TRIVIAL_HEADERS})
add_dependencies(trivial generate_clhpp)
target_link_libraries( trivial OpenCL )

add_executable(trivialCL2 ${TRIVIALCL2_SOURCES} ${TRIVIALCL2_HEADERS})
add_dependencies(trivialCL2 generate_cl2hpp)
target_link_libraries( trivialCL2 OpenCL )

add_executable(trivialCL2SizeTCompat ${TRIVIALCL2_SIZET_COMPAT_SOURCES} ${TRIVIALCL2_SIZET_COMPAT_HEADERS})
add_dependencies(trivialCL2SizeTCompat generate_cl2hpp)
target_link_libraries( trivialCL2SizeTCompat OpenCL )

add_executable(headerexampleCL2 ${HEADEREXAMPLECL2_SOURCES} ${HEADEREXAMPLECL2_HEADERS})
add_dependencies(headerexampleCL2 generate_cl2hpp)
target_link_libraries( headerexampleCL2 OpenCL )

## khronos-opencl-clhpp 2.0.10

=== debian/changelog ===
khronos-opencl-clhpp (2.0.10-1) unstable; urgency=medium

  * Initial release (Closes: #837112)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 08 Sep 2016 21:38:17 +0200

=== debian/control ===
Source: khronos-opencl-clhpp
Section: libdevel
Priority: extra
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>=9),
               opencl-c-headers,
               cmake,
               python,
               ocl-icd-opencl-dev,
               doxygen
Standards-Version: 3.9.8
Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
Vcs-Git: https://anonscm.debian.org/pkg-opencl/khronos-opencl-clhpp.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-clhpp.git

Package: opencl-clhpp-headers
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: opencl-clhpp-headers-doc
Breaks: opencl-headers (<<2.1)
Replaces: opencl-headers (<<2.1)
Description: C++ headers for OpenCL development
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the C++ development header files for the OpenCL API
 as published by The Khronos Group Inc. The corresponding specification and
 documentation can be found on the Khronos website.

Package: opencl-clhpp-headers-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: documentation for C++ OpenCL headers
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package provides the documentation of the C++ development header files
 for the OpenCL API as published by The Khronos Group Inc.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=OFF -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)


override_dh_auto_build:
	dh_auto_build -- all docs

override_dh_auto_test:
	dh_auto_test -- examples
	$(MAKE) -C debian/t

override_dh_auto_clean:
	$(MAKE) -C debian/t clean
	dh_auto_clean

## khronos-opencl-clhpp 2.0.10+git12-g5dd8bb9

=== debian/changelog ===
khronos-opencl-clhpp (2.0.10+git12-g5dd8bb9-1) unstable; urgency=medium

  * New upstream snapshot.  (Closes: #853474)
  * debian/mksnapshot.sh: New script to generate upstream snapshot tarballs.
  * Set Priority to optional.
  * Bump Standards-Version to 4.1.3.
  * Switch to debhelper compat level 11.
  * Set Rules-Requires-Root: no.
  * Add myself to Uploaders.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Deduplicate *.js in the documentation.
  * hardening.patch: New, append to CMAKE_CXX_FLAGS, do not overwrite.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 Jan 2018 02:39:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,29 @@
 Source: khronos-opencl-clhpp
 Section: libdevel
-Priority: extra
+Priority: optional
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper (>=9),
+Uploaders: Vincent Danjean <vdanjean@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
+Build-Depends: debhelper (>= 11~),
                opencl-c-headers,
                cmake,
                python,
                ocl-icd-opencl-dev,
-               doxygen
-Standards-Version: 3.9.8
+               doxygen,
+               hardlink,
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
-Vcs-Git: https://anonscm.debian.org/pkg-opencl/khronos-opencl-clhpp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-opencl/khronos-opencl-clhpp.git
+Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
+Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
 
 Package: opencl-clhpp-headers
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: opencl-clhpp-headers-doc
-Breaks: opencl-headers (<<2.1)
-Replaces: opencl-headers (<<2.1)
+Breaks: opencl-headers (<< 2.1)
+Replaces: opencl-headers (<< 2.1)
 Description: C++ headers for OpenCL development
  OpenCL (Open Computing Language) is a multi-vendor open standard for
  general-purpose parallel programming of heterogeneous systems that include

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 
 %:
-	dh $@ 
+	dh $@
 
 
 # dh_make generated override targets
@@ -34,3 +34,8 @@
 override_dh_auto_clean:
 	$(MAKE) -C debian/t clean
 	dh_auto_clean
+
+override_dh_installdocs:
+	dh_installdocs
+	# deduplicate *.js
+	hardlink -t -v debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers/html/search

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/KhronosGroup/OpenCL-CLHPP/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## khronos-opencl-clhpp 2.0.10+git26

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,12 +21,8 @@
     set(OPENCL_LIB_DIR ${OPENCL_DIST_DIR}/lib/x86 )
   endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
 else()
-  set(OPENCL_DIST_DIR "Hello" CACHE PATH "OpenCL source dir")
-  if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
-    set(OPENCL_LIB_DIR "" )
-  else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
-    set(OPENCL_LIB_DIR "" )
-  endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )  
+  set(OPENCL_DIST_DIR "" CACHE PATH "OpenCL source dir")
+  set(OPENCL_LIB_DIR "${OPENCL_DIST_DIR}/lib" CACHE PATH "OpenCL library dir" )
 endif()
 
 if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
@@ -35,8 +31,8 @@
 endif()
 
 set(OPENCL_INCLUDE_DIR ${OPENCL_DIST_DIR}/include CACHE PATH "OpenCL source dir")
-set(UNITY_DIR $ENV{UNITY_DIR} CACHE PATH "Unity dir")
-set(CMOCK_DIR $ENV{CMOCK_DIR} CACHE PATH "CMock dir")
+set(UNITY_DIR ${PROJECT_SOURCE_DIR}/external/Unity CACHE PATH "Unity dir")
+set(CMOCK_DIR ${PROJECT_SOURCE_DIR}/external/CMock CACHE PATH "CMock dir")
 
 if(BUILD_DOCS)
 add_subdirectory(docs)

=== include/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 add_custom_target(generate_cl2hpp ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/CL/cl2.hpp SOURCES ${CLCPP_SOURCE_DIR}/input_cl2.hpp)
 
 install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/CL
-        DESTINATION .
+        DESTINATION include
         FILES_MATCHING
         PATTERN "*.hpp"
         )

=== tests/CMakeLists.txt ===
add_custom_command(
    OUTPUT stripped/cl.h
    COMMAND ${CMAKE_COMMAND} -E make_directory stripped
    COMMAND ${CMAKE_COMMAND} -E make_directory mocks
    COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/strip_defines.py ${OPENCL_INCLUDE_DIR}/CL/cl.h stripped/cl.h
    COMMENT "Stripping defines from cl.h"
    DEPENDS ${OPENCL_INCLUDE_DIR}/CL/cl.h strip_defines.py)
	
add_custom_command(
    OUTPUT mocks/Mockcl.c mocks/Mockcl.h
    COMMAND ruby ${CMOCK_DIR}/lib/cmock.rb -o${CMAKE_CURRENT_SOURCE_DIR}/cmock.yml stripped/cl.h
    COMMENT "Generating mocks"
    DEPENDS stripped/cl.h cmock.yml)
	
add_custom_command(
    OUTPUT test_clhpp_Runner.c
    COMMAND ruby ${UNITY_DIR}/auto/generate_test_runner.rb test_clhpp.cpp cmock.yml ${CMAKE_CURRENT_BINARY_DIR}/test_clhpp_Runner.c
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating test runner"
    DEPENDS test_clhpp.cpp cmock.yml)
	
add_custom_command(
    OUTPUT test_cl2hpp_Runner.c
    COMMAND ruby ${UNITY_DIR}/auto/generate_test_runner.rb test_cl2hpp.cpp cmock.yml ${CMAKE_CURRENT_BINARY_DIR}/test_cl2hpp_Runner.c
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating test runner for 2.0"
    DEPENDS test_cl2hpp.cpp cmock.yml)
	
include_directories(
    ${CLCPP_BINARY_DIR}/include
    ${CMAKE_CURRENT_BINARY_DIR}/mocks
    ${OPENCL_DIST_DIR}/include
    ${OPENCL_INCLUDE_DIR}
    ${OPENCL_INCLUDE_DIR}/CL
    ${UNITY_DIR}/src
    ${CMOCK_DIR}/src)

add_definitions(-DUNITY_SUPPORT_64)
if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    add_definitions(-DUNITY_POINTER_WIDTH=64)
    add_definitions("-DCMOCK_MEM_PTR_AS_INT=unsigned long long")
    add_definitions(-DCMOCK_MEM_ALIGN=3)
endif()
if( CMAKE_SIZEOF_LONG EQUAL 8 )
    add_definitions(-DUNITY_LONG_WIDTH=64)
endif()

set(TEST_CLHPP_HEADERS
    ${CLCPP_BINARY_DIR}/include/CL/cl.hpp
    mocks/Mockcl.h)
set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl.hpp PROPERTIES GENERATED 1)

set(TEST_CL2HPP_HEADERS
    ${CLCPP_BINARY_DIR}/include/CL/cl2.hpp
    mocks/Mockcl.h)
set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl2.hpp PROPERTIES GENERATED 1)

set(TEST_CLHPP_SOURCES_COMMON
    ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl.c
    ${CMOCK_DIR}/src/cmock.c
    ${UNITY_DIR}/src/unity.c)

set(TEST_CLHPP_SOURCES
    ${TEST_CLHPP_SOURCES_COMMON}
    ${CMAKE_CURRENT_BINARY_DIR}/test_clhpp_Runner.c
    test_clhpp.cpp)

set(TEST_CL2HPP_SOURCES
    ${TEST_CLHPP_SOURCES_COMMON}
    ${CMAKE_CURRENT_BINARY_DIR}/test_cl2hpp_Runner.c
    test_cl2hpp.cpp)

  
#set_source_files_properties(test_cl2hpp_Runner.c PROPERTIES LANGUAGE "CXX")
#set_source_files_properties(test_clhpp_Runner.c PROPERTIES LANGUAGE "CXX")
add_executable(test_clhpp ${TEST_CLHPP_SOURCES} ${TEST_CLHPP_HEADERS})
add_executable(test_clhpp_deprecated_1_1 ${TEST_CLHPP_SOURCES} ${TEST_CLHPP_HEADERS})
set_target_properties(test_clhpp_deprecated_1_1 PROPERTIES COMPILE_DEFINITIONS "CL_USE_DEPRECATED_OPENCL_1_1_APIS")
add_executable(test_clhpp_deprecated_1_2 ${TEST_CLHPP_SOURCES} ${TEST_CLHPP_HEADERS})
set_target_properties(test_clhpp_deprecated_1_2 PROPERTIES COMPILE_DEFINITIONS "CL_USE_DEPRECATED_OPENCL_1_1_APIS")
set_target_properties(test_clhpp_deprecated_1_2 PROPERTIES COMPILE_DEFINITIONS "CL_USE_DEPRECATED_OPENCL_1_2_APIS")
add_dependencies(test_clhpp generate_clhpp)
add_executable(test_cl2hpp ${TEST_CL2HPP_SOURCES} ${TEST_CL2HPP_HEADERS})
add_dependencies(test_cl2hpp generate_cl2hpp)
add_test(run_test_clhpp test_clhpp)
add_test(run_test_clhpp_deprecated_1_1 test_clhpp_deprecated_1_1)
add_test(run_test_cl2hpp test_cl2hpp)

if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
    set(TEST_CLHPP_CXX11_SOURCES
        ${TEST_CLHPP_SOURCES_COMMON}
        ${CMAKE_CURRENT_BINARY_DIR}/test_clhpp_Runner.c
        test_clhpp_cxx11.cpp)
    set_source_files_properties(test_clhpp_cxx11.cpp PROPERTIES COMPILE_FLAGS "-std=c++11")
    set_source_files_properties(test_cl2hpp.cpp PROPERTIES COMPILE_FLAGS "-std=c++11")
    add_executable(test_clhpp_cxx11 ${TEST_CLHPP_CXX11_SOURCES} ${TEST_CLHPP_HEADERS})
    add_test(run_test_clhpp_cxx11 test_clhpp_cxx11)
endif()

## khronos-opencl-clhpp 2.0.10+git26-g806646c

=== debian/changelog ===
khronos-opencl-clhpp (2.0.10+git26-g806646c-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0 (no changes needed).
  * The MIT license we use is actually the Expat variant.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 04 Feb 2019 15:37:04 +0100

khronos-opencl-clhpp (2.0.10+git23-gf0b7045-1) unstable; urgency=medium

  * New upstream snapshot.
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Add debian/upstream/metadata.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 10 Dec 2018 20:34:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                opencl-c-headers,
                cmake,
                python,
@@ -12,7 +12,7 @@
                doxygen,
                hardlink,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=OFF -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	dh_auto_build -- all docs

override_dh_auto_test:
	dh_auto_test -- examples
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/t
endif

override_dh_auto_clean:
	$(MAKE) -C debian/t clean
	dh_auto_clean

override_dh_installdocs:
	dh_installdocs
	# deduplicate *.js
	hardlink -t -v debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers/html/search

## khronos-opencl-clhpp 2.1.0~~git51

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
     DEPENDS test_cl2hpp.cpp cmock.yml)
 	
 include_directories(
-    ${CLCPP_BINARY_DIR}/include
+    ${CLCPP_SOURCE_DIR}/include
     ${CMAKE_CURRENT_BINARY_DIR}/mocks
     ${OPENCL_DIST_DIR}/include
     ${OPENCL_INCLUDE_DIR}
@@ -46,14 +46,12 @@
 endif()
 
 set(TEST_CLHPP_HEADERS
-    ${CLCPP_BINARY_DIR}/include/CL/cl.hpp
+    ${CLCPP_SOURCE_DIR}/include/CL/cl.hpp
     mocks/Mockcl.h)
-set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl.hpp PROPERTIES GENERATED 1)
 
 set(TEST_CL2HPP_HEADERS
-    ${CLCPP_BINARY_DIR}/include/CL/cl2.hpp
+    ${CLCPP_SOURCE_DIR}/include/CL/cl2.hpp
     mocks/Mockcl.h)
-set_source_files_properties(${CLCPP_BINARY_DIR}/include/CL/cl2.hpp PROPERTIES GENERATED 1)
 
 set(TEST_CLHPP_SOURCES_COMMON
     ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl.c
@@ -79,9 +77,7 @@
 add_executable(test_clhpp_deprecated_1_2 ${TEST_CLHPP_SOURCES} ${TEST_CLHPP_HEADERS})
 set_target_properties(test_clhpp_deprecated_1_2 PROPERTIES COMPILE_DEFINITIONS "CL_USE_DEPRECATED_OPENCL_1_1_APIS")
 set_target_properties(test_clhpp_deprecated_1_2 PROPERTIES COMPILE_DEFINITIONS "CL_USE_DEPRECATED_OPENCL_1_2_APIS")
-add_dependencies(test_clhpp generate_clhpp)
 add_executable(test_cl2hpp ${TEST_CL2HPP_SOURCES} ${TEST_CL2HPP_HEADERS})
-add_dependencies(test_cl2hpp generate_cl2hpp)
 add_test(run_test_clhpp test_clhpp)
 add_test(run_test_clhpp_deprecated_1_1 test_clhpp_deprecated_1_1)
 add_test(run_test_cl2hpp test_cl2hpp)

=== examples/src/CMakeLists.txt ===
set(TRIVIAL_SOURCES
    trivial.cpp )

set(TRIVIAL_HEADERS
    ${CLCPP_SOURCE_DIR}/include/CL/cl.hpp)

set(TRIVIALCL2_SOURCES
    trivialCL2.cpp )

set(TRIVIALCL2_HEADERS
    ${CLCPP_SOURCE_DIR}/include/CL/cl2.hpp)

set(TRIVIALCL2_SIZET_COMPAT_SOURCES
    trivialCL2SizeTCompat.cpp )

set(TRIVIALCL2_SIZET_COMPAT_HEADERS
    ${CLCPP_SOURCE_DIR}/include/CL/cl2.hpp)

set(HEADEREXAMPLECL2_SOURCES
    headerexampleCL2.cpp )

set(HEADEREXAMPLECL2_HEADERS
    ${CLCPP_SOURCE_DIR}/include/CL/cl2.hpp)

include_directories(
    ${CLCPP_SOURCE_DIR}/include
    ${OPENCL_DIST_DIR}/include
    ${OPENCL_INCLUDE_DIR})

link_directories( ${OPENCL_LIB_DIR} )

if( MSVC )
  set(CMAKE_CXX_FLAGS " -W3 /EHsc" )
elseif( CMAKE_COMPILER_IS_GNUCXX )
  set(CMAKE_CXX_FLAGS "-Wall -std=c++0x" )
elseif( CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
  set(CMAKE_CXX_FLAGS "-Wall -std=c++11" )
endif()

add_executable(trivial ${TRIVIAL_SOURCES} ${TRIVIAL_HEADERS})
target_link_libraries( trivial OpenCL )

add_executable(trivialCL2 ${TRIVIALCL2_SOURCES} ${TRIVIALCL2_HEADERS})
target_link_libraries( trivialCL2 OpenCL )

add_executable(trivialCL2SizeTCompat ${TRIVIALCL2_SIZET_COMPAT_SOURCES} ${TRIVIALCL2_SIZET_COMPAT_HEADERS})
target_link_libraries( trivialCL2SizeTCompat OpenCL )

add_executable(headerexampleCL2 ${HEADEREXAMPLECL2_SOURCES} ${HEADEREXAMPLECL2_HEADERS})
target_link_libraries( headerexampleCL2 OpenCL )

## khronos-opencl-clhpp 2.1.0~~git51-gc5063c3

=== debian/changelog ===
khronos-opencl-clhpp (2.1.0~~git51-gc5063c3-1) unstable; urgency=medium

  * New upstream snapshot.
  * The headers are no longer automatically generated during build.
  * Test header generation with python3.  (Closes: #936791)
  * Bump Standards-Version to 4.4.0 (no changes needed).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Sep 2019 16:42:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: debhelper-compat (= 12),
                opencl-c-headers,
                cmake,
-               python,
+               python3,
                ocl-icd-opencl-dev,
                doxygen,
                hardlink,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 override_dh_auto_test:
 	dh_auto_test -- examples
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	tests/check-cl-hpp-generation.sh
 	$(MAKE) -C debian/t
 endif

## khronos-opencl-clhpp 2.2.0~~2.0.11+git9

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 endif()
 
 if( CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -Werror=return-type")
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread")
 endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -34,6 +34,9 @@
     ${OPENCL_INCLUDE_DIR}/CL
     ${UNITY_DIR}/src
     ${CMOCK_DIR}/src)
+
+add_definitions(-DCL_TARGET_OPENCL_VERSION=220)
+add_definitions(-DCL_EXPERIMENTAL)
 
 add_definitions(-DUNITY_SUPPORT_64)
 if( CMAKE_SIZEOF_VOID_P EQUAL 8 )

## khronos-opencl-clhpp 2.2.0~~2.0.11+git9-g0192662

=== debian/changelog ===
khronos-opencl-clhpp (2.2.0~~2.0.11+git9-g0192662-1) unstable; urgency=medium

  * New upstream snapshot.
  * Khronos relicensed the headers under Apache-2.0.
  * Relicense the packaging under Apache-2.0, too.
  * Add 'khronos' and 'tarball' targets to simplify snapshot generation.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 May 2020 11:44:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                opencl-c-headers,
                cmake,
                python3,
                ocl-icd-opencl-dev,
                doxygen,
-               hardlink,
 Rules-Requires-Root: no
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,22 @@
 	$(MAKE) -C debian/t
 endif
 
-override_dh_auto_clean:
+execute_after_dh_auto_clean:
 	$(MAKE) -C debian/t clean
-	dh_auto_clean
 
-override_dh_installdocs:
-	dh_installdocs
-	# deduplicate *.js
-	hardlink -t -v debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers/html/search
+
+ifneq (,$(wildcard .git))
+khronos:
+	git remote show $@ >/dev/null 2>&1 || git remote add $@ $(shell sed -rn 's/Repository: //p' debian/upstream/metadata)
+	git fetch $@ --prune
+
+tarball: COMMIT ?= khronos/master
+tarball: COMMIT_TIME = $(shell git log --format=format:%ct -1 $(COMMIT))
+tarball: COMMIT_DESCRIBE = $(patsubst v%,%,$(shell git describe --long --tags $(COMMIT)))
+tarball: COMMIT_VERSION = $(firstword $(subst -, ,$(COMMIT_DESCRIBE)))
+tarball: PREFIX = OpenCL-CLHPP-$(COMMIT_VERSION)+git$(patsubst $(COMMIT_VERSION)-%,%,$(COMMIT_DESCRIBE))
+tarball:
+	test -n "$(COMMIT)"
+	git archive --prefix $(PREFIX)/ $(COMMIT) | xz > $(PREFIX).tar.xz
+	touch -d @$(COMMIT_TIME) $(PREFIX).tar.xz
+endif

## khronos-opencl-clhpp 3.0~2.0.13

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(src)

=== tests/CMakeLists.txt ===
add_custom_command(
    OUTPUT stripped/cl.h
    COMMAND ${CMAKE_COMMAND} -E make_directory stripped
    COMMAND ${CMAKE_COMMAND} -E make_directory mocks
    COMMAND python ${CMAKE_CURRENT_SOURCE_DIR}/strip_defines.py ${OPENCL_INCLUDE_DIR}/CL/cl.h stripped/cl.h
    COMMENT "Stripping defines from cl.h"
    DEPENDS ${OPENCL_INCLUDE_DIR}/CL/cl.h strip_defines.py)
	
add_custom_command(
    OUTPUT mocks/Mockcl.c mocks/Mockcl.h
    COMMAND ruby ${CMOCK_DIR}/lib/cmock.rb -o${CMAKE_CURRENT_SOURCE_DIR}/cmock.yml stripped/cl.h
    COMMENT "Generating mocks"
    DEPENDS stripped/cl.h cmock.yml)
	
add_custom_command(
    OUTPUT test_openclhpp_Runner.c
    COMMAND ruby ${UNITY_DIR}/auto/generate_test_runner.rb test_openclhpp.cpp cmock.yml ${CMAKE_CURRENT_BINARY_DIR}/test_openclhpp_Runner.c
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Generating test runner"
    DEPENDS test_openclhpp.cpp cmock.yml)
	
include_directories(
    ${CLCPP_SOURCE_DIR}/include
    ${CMAKE_CURRENT_BINARY_DIR}/mocks
    ${OPENCL_DIST_DIR}/include
    ${OPENCL_INCLUDE_DIR}
    ${OPENCL_INCLUDE_DIR}/CL
    ${UNITY_DIR}/src
    ${CMOCK_DIR}/src)

if(CMAKE_COMPILER_IS_GNUCC OR "${CMAKE_CXX_COMPILER_ID}" MATCHES "(Apple)?Clang")
    add_compile_options(-Wno-deprecated-declarations)
endif()

add_definitions(-DCL_TARGET_OPENCL_VERSION=300)
add_definitions(-DCL_EXPERIMENTAL)

add_definitions(-DUNITY_SUPPORT_64)
if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    add_definitions(-DUNITY_POINTER_WIDTH=64)
    add_definitions("-DCMOCK_MEM_PTR_AS_INT=unsigned long long")
    add_definitions(-DCMOCK_MEM_ALIGN=3)
endif()
if( CMAKE_SIZEOF_LONG EQUAL 8 )
    add_definitions(-DUNITY_LONG_WIDTH=64)
endif()

set(TEST_HEADERS
    ${CLCPP_SOURCE_DIR}/include/CL/opencl.hpp
    mocks/Mockcl.h)

set(TEST_SOURCES
    ${CMAKE_CURRENT_BINARY_DIR}/test_openclhpp_Runner.c
    test_openclhpp.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/mocks/Mockcl.c
    ${CMOCK_DIR}/src/cmock.c
    ${UNITY_DIR}/src/unity.c)

# TODO enable testing for OpenCL 1.0 and 1.1
foreach(VERSION 120 200 210 220 300)
  set(TEST_EXE test_openclhpp_${VERSION})
  add_executable(${TEST_EXE} ${TEST_SOURCES} ${TEST_HEADERS})
  target_compile_definitions(${TEST_EXE}
	  PUBLIC -DCL_HPP_TARGET_OPENCL_VERSION=${VERSION}
  )
  add_test(NAME ${TEST_EXE} COMMAND ${TEST_EXE})
endforeach(VERSION)

=== debian/changelog ===
khronos-opencl-clhpp (3.0~2.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 07 Jan 2021 14:50:18 +0100

khronos-opencl-clhpp (2.2.0~~2.0.12+git7-g64c206f-1) unstable; urgency=medium

  * New upstream snapshot.
    - CL/cl.hpp is gone
    - CL/cl2.hpp is now CL/opencl.hpp
  * Refresh patches.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Nov 2020 00:37:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                opencl-c-headers,
                cmake,
-               python3,
                ocl-icd-opencl-dev,
                doxygen,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 override_dh_auto_test:
 	dh_auto_test -- examples
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	tests/check-cl-hpp-generation.sh
 	$(MAKE) -C debian/t
 endif

=== debian/watch ===
version=4
opts="dversionmangle=s/^\d[\d.]*~//, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/KhronosGroup/OpenCL-CLHPP/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## khronos-opencl-clhpp 3.0~2.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,9 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 3.0)
 project(CLCPP)
 enable_testing()
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 option(BUILD_DOCS "Build Documentation" ON)
 option(BUILD_EXAMPLES "Build Examples" ON)

=== include/CMakeLists.txt ===
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/CL
        DESTINATION include
        FILES_MATCHING
        PATTERN "*.hpp"
        )

=== examples/src/CMakeLists.txt ===
set(TRIVIAL_SOURCES
    trivial.cpp )

set(OPENCLHPP_HEADERS
    ${CLCPP_SOURCE_DIR}/include/CL/opencl.hpp)

set(TRIVIAL_SIZET_COMPAT_SOURCES
    trivialSizeTCompat.cpp )

set(HEADEREXAMPLE_SOURCES
    headerexample.cpp )

include_directories(
    ${CLCPP_SOURCE_DIR}/include
    ${OPENCL_DIST_DIR}/include
    ${OPENCL_INCLUDE_DIR})

link_directories( ${OPENCL_LIB_DIR} )

if( MSVC )
  set(CMAKE_CXX_FLAGS " -W3 /EHsc" )
elseif( CMAKE_COMPILER_IS_GNUCXX )
  set(CMAKE_CXX_FLAGS "-Wall" )
elseif( CMAKE_CXX_COMPILER_ID STREQUAL "Clang" )
  set(CMAKE_CXX_FLAGS "-Wall" )
endif()

add_executable(trivial ${TRIVIAL_SOURCES} ${OPENCLHPP_HEADERS})
target_link_libraries( trivial OpenCL )

add_executable(trivialSizeTCompat ${TRIVIAL_SIZET_COMPAT_SOURCES} ${OPENCLHPP_HEADERS})
target_link_libraries( trivialSizeTCompat OpenCL )

add_executable(headerexample ${HEADEREXAMPLE_SOURCES} ${OPENCLHPP_HEADERS})
target_link_libraries( headerexample OpenCL )

=== debian/changelog ===
khronos-opencl-clhpp (3.0~2.0.15-1ubuntu1) jammy; urgency=medium

  * Don't build the examples; this is an arch: independent package so testing
    them on only the build arch doesn't make sense, these should be moved to
    autopkgtests.  For now, just drop the examples and the build-dependency
    on ocl-icd-opencl-dev to break a build loop.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 Oct 2021 19:52:36 +0000

khronos-opencl-clhpp (3.0~2.0.15-1) unstable; urgency=medium

  * New upstream release.
  * Add superficial autopkgtest trying to compile the headers.
  * Add dependency on opencl-c-headers.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Aug 2021 01:17:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: khronos-opencl-clhpp
 Section: libdevel
 Priority: optional
-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Vincent Danjean <vdanjean@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               opencl-c-headers,
+               opencl-c-headers (>= 3.0~2021.04.29),
                cmake,
-               ocl-icd-opencl-dev,
                doxygen,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
@@ -18,7 +18,7 @@
 Package: opencl-clhpp-headers
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: opencl-c-headers (>= 3.0~2021.04.29), ${misc:Depends}
 Suggests: opencl-clhpp-headers-doc
 Breaks: opencl-headers (<< 2.1)
 Replaces: opencl-headers (<< 2.1)

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,12 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_TESTS=OFF -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DBUILD_TESTS=OFF -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_build:
 	dh_auto_build -- all docs
 
 override_dh_auto_test:
-	dh_auto_test -- examples
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C debian/t
 endif

=== debian/tests/control ===
Tests: compile-headers
Depends: opencl-clhpp-headers, g++
Restrictions: superficial, allow-stderr

## khronos-opencl-clhpp 3.0~2022.05.18

=== debian/changelog ===
khronos-opencl-clhpp (3.0~2022.05.18-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jun 2022 09:38:40 -0700

khronos-opencl-clhpp (3.0~2022.05.18-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream's new cmake build system.
  * Add support for the <nodoc> build profile.
  * Bump Standards-Version to 4.6.1 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Jun 2022 01:31:28 +0200

khronos-opencl-clhpp (3.0~2.0.16-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 08:38:44 -0700

khronos-opencl-clhpp (3.0~2.0.16-1) unstable; urgency=medium

  * New upstream release.
  * Add component tarballs 'cmock' and 'unity'.
  * Fix building tests in parallel.
  * Run upstream testsuite at build time.
  * Add support for the <nocheck> build profile to break a bootstrap
    dependency loop: disable the B-D: ocl-icd-opencl-dev and do not build
    examples or tests.  (Closes: #996980)
  * Add autopkgtest that runs the upstream testsuite.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Jan 2022 00:57:06 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,12 @@
 Build-Depends: debhelper-compat (= 13),
                opencl-c-headers (>= 3.0~2021.04.29),
                cmake,
-               doxygen,
+ doxygen <!nodoc>,
+ graphviz <!nodoc>,
+ python-is-python3 <!nocheck>,
+ ruby <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/KhronosGroup/OpenCL-CLHPP
 Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp
 Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-clhpp.git
@@ -35,6 +38,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends}
 Description: documentation for C++ OpenCL headers
  OpenCL (Open Computing Language) is a multi-vendor open standard for

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,19 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DBUILD_EXAMPLES=OFF -DBUILD_TESTS=OFF -DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
+	dh_auto_configure -- \
+		-DBUILD_EXAMPLES=OFF \
+		-DOPENCL_LIB_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		-DCMOCK_DIR=$(CURDIR)/cmock \
+		-DUNITY_DIR=$(CURDIR)/unity \
+		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_EXAMPLES=OFF) \
+		$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),-DBUILD_TESTS=OFF) \
 
 override_dh_auto_build:
 	dh_auto_build -- all docs
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+execute_after_dh_auto_test:
 	$(MAKE) -C debian/t
-endif
 
 execute_after_dh_auto_clean:
 	$(MAKE) -C debian/t clean

=== debian/tests/control ===
Tests: compile-headers
Depends: opencl-clhpp-headers, g++
Restrictions: superficial, allow-stderr

Tests: upstream-testsuite
Depends:
 opencl-clhpp-headers,
 cmake,
 dpkg-dev,
 g++,
 ocl-icd-opencl-dev,
 python-is-python3,
 ruby,

## khronos-opencl-clhpp 3.0~2022.09.30

=== debian/changelog ===
khronos-opencl-clhpp (3.0~2022.09.30-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't build-depend on ocl-icd-opencl-dev, we can't use 'nocheck' build
      profile for this in Launchpad.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 22:22:24 -0800

khronos-opencl-clhpp (3.0~2022.09.30-1) unstable; urgency=medium

  * New upstream release.
  * Deduplicate documentation.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Oct 2022 14:36:45 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
                cmake,
  doxygen <!nodoc>,
  graphviz <!nodoc>,
+ hardlink <!nodoc>,
  python-is-python3 <!nocheck>,
  ruby <!nocheck>,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,11 @@
 execute_after_dh_auto_clean:
 	$(MAKE) -C debian/t clean
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
+execute_before_dh_installdeb:
+	hardlink -v -t debian/opencl-clhpp-headers-doc/usr/share/doc/opencl-clhpp-headers
+endif
+
 
 ifneq (,$(wildcard .git))
 khronos:

=== debian/watch ===
version=4
opts="dversionmangle=s/^\d[\d.]*~//, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/KhronosGroup/OpenCL-CLHPP/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
